local config = PetJournalEnhanced:NewModule("Config","AceEvent-3.0")



function config:OnInitialize()
	local options = {
    name = "PetJournal Enhanced",
    handler = self,
    type = 'group',
    args = {
        showPetCount = {
            name = "Show Unique Pet Count",
			type = "toggle",
			set = function(info,val) 
				PetJournalEnhancedOptions.showUniquePetCount = val 
				self:SendMessage("PETJOURNAL_ENHANCED_OPTIONS_UPDATE")  
			end,
			get = function(info) return PetJournalEnhancedOptions.showUniquePetCount or false end
        },
    },
}
	LibStub("AceConfig-3.0"):RegisterOptionsTable("PetJournalEnhanced", options)
    LibStub("AceConfigDialog-3.0"):AddToBlizOptions("PetJournalEnhanced","PetJournal Enhanced")
end

function config:GetMyMessage(info)
	
end

function config:SetMyMessage(info, input)
    
end